Package org.eclipse.net4j.util.event

## Class ThrowableEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.event.ThrowableEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `IEvent`

      public final class ThrowableEvent
      extends Event

  An `IEvent` typically fired from `notifiers` that execute operations in the background.
  Since:
    3.3
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThrowableEvent​(INotifier notifier, java.lang.Throwable throwable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getThrowable()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowableEvent

          public ThrowableEvent​(INotifier notifier,
                                java.lang.Throwable throwable)

  - ### Method Detail

    - #### getThrowable

          public java.lang.Throwable getThrowable()